# Created by pyp2rpm-1.0.1
%global pypi_name astroML
%define version 0.1.2

Name:           python-astroml
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Tools for machine learning and data mining in Astronomy

License:        BSD
URL:            http://www.astroml.org/
Source0:        https://pypi.python.org/packages/source/a/astroML/astroML-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel


%description
AstroML is a Python module for machine learning and data mining built
on numpy, scipy, scikit-learn, and matplotlib, and distributed under
the 3-Clause BSD license.  It contains a growing library of
statistical and machine learning routines for analyzing astronomical
data in python.


%prep
%setup -q -n %{pypi_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup_addons.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup_addons.py install --skip-build --root %{buildroot}


%files
%doc book_figures/chapter9/README.rst book_figures/chapter6/README.rst book_figures/chapter5/README.rst book_figures/chapter3/README.rst book_figures/chapter2/README.rst book_figures/chapter4/README.rst book_figures/chapter1/README.rst book_figures/chapter10/README.rst book_figures/chapter8/README.rst book_figures/chapter7/README.rst book_figures/README.rst book_figures/appendix/README.rst examples/algorithms/README.rst examples/datasets/README.rst examples/README.rst examples/learning/README.rst paper_figures/CIDU2012/README.rst paper_figures/README.rst README.rst LICENSE.rst
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitearch}/%{pypi_name}_addons-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}
%{python_sitearch}/%{pypi_name}_addons


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 542980
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.2-2.mga4
+ Revision: 498126
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 0.1.2-1.mga4
+ Revision: 463137
- imported package python-astroml

